Đến nội dung


Hình ảnh

Tính khối lượng hatch !


  • Please log in to reply
11 replies to this topic

#1 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 September 2010 - 09:49 AM

Em dang quy hoach, bây giờ em muốn tính tổng khối lượng của nhiều mẫu hatch thì làm ntn?
Nhờ các bác giúp em !
Thanks trước !
  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 25 September 2010 - 10:15 AM

Em dang quy hoach, bây giờ em muốn tính tổng khối lượng của nhiều mẫu hatch thì làm ntn?
Nhờ các bác giúp em !
Thanks trước !

Dùng lệnh AREA chọn A sau đó chọn OB chọn lần lượt các hatch.

Command:
AREA
Specify first corner point or [Object/Add/Subtract]: a
Specify first corner point or [Object/Subtract]: ob
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 1000000.0000
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 2000000.0000
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 3000000.0000
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 4000000.0000
(ADD mode) Select objects:
Specify first corner point or [Object/Subtract]:

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 September 2010 - 10:22 AM

Dùng lệnh AREA chọn A sau đó chọn OB chọn lần lượt các hatch.

Command:
AREA
Specify first corner point or [Object/Add/Subtract]: a
Specify first corner point or [Object/Subtract]: ob
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 1000000.0000
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 2000000.0000
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 3000000.0000
(ADD mode) Select objects:
Area = 1000000.0000, Perimeter = 4000.0000
Total area = 4000000.0000
(ADD mode) Select objects:
Specify first corner point or [Object/Subtract]:

Thanks bác nhiều ! cho em hỏi tý nữa,có cách nào chọn 1 lúc được nhiều hatch ko? chứ click từng hatch cũng lâu lắm.
  • 0

#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 25 September 2010 - 10:31 AM

Thanks bác nhiều ! cho em hỏi tý nữa,có cách nào chọn 1 lúc được nhiều hatch ko? chứ click từng hatch cũng lâu lắm.

Kiểu này phải kiêu tới lisp rồi quá!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#5 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 September 2010 - 10:51 AM

Kiểu này phải kiêu tới lisp rồi quá!

Vậy nhờ các bác giúp em với.............................
  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 25 September 2010 - 12:00 PM

Thanks bác nhiều ! cho em hỏi tý nữa,có cách nào chọn 1 lúc được nhiều hatch ko? chứ click từng hatch cũng lâu lắm.

Sao bạn không layiso layer hatch rồi chọn 1 phát là xong chứ sao ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 25 September 2010 - 12:07 PM

Vậy nhờ các bác giúp em với.............................

Bạn gõ dòng này vào dòng command: (ssget '((0 . "hatch"))) xong select toàn bộ hatch trên bản vẽ.
Sau đó đến khi dùng lệnh area đến bước chọn đối tượng hatch chỉ cần nhập chũ p vào là oke.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#8 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 25 September 2010 - 01:32 PM

Em chưa hiểu thuật ngữ:" khối lượng hatch !"
Đơn vị của nó là gì: Mét khối, mét vuông hay Ki lô gam ?
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#9 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 25 September 2010 - 02:14 PM

Sao bạn không layiso layer hatch rồi chọn 1 phát là xong chứ sao ?


Bạn gõ dòng này vào dòng command: (ssget '((0 . "hatch"))) xong select toàn bộ hatch trên bản vẽ.
Sau đó đến khi dùng lệnh area đến bước chọn đối tượng hatch chỉ cần nhập chũ p vào là oke.


Lệnh AREA lựa chọn add không chịu chọn nhiều đối tượng hatch 1 lúc theo kiểu quét chuột mà bắt phải click vào từng đối tượng hatch.

Em chưa hiểu thuật ngữ:" khối lượng hatch !"
Đơn vị của nó là gì: Mét khối, mét vuông hay Ki lô gam ?

Đúng là bạn í dùng từ ko ổn nhưng mình hiểu ở đây bạn í muốn lấy giá trị diện tích cuả hatch.

Vậy nhờ các bác giúp em với.............................

Nề bạn:

(Defun c:doh ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

(Princ "\nHay chon vung :")
(setq xx (ssget '((0 . "hatch"))))

(if (Null xx)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL xx) (PROGN

(setq L 0)
(setq dientich 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname xx L))
(command "area" "object" dt)
(setq dienticht (getvar "area"))
(setq dientich (+ dientich dienticht))
(setq L (1+ L))
)
(alert (strcat "\nTong dien tich hatch da chon: " (rtos dientich 2 4)))
)
)
(Princ)
)




Lưu ý có 1 số đối tượng hatch ko hiểu bị gì mà dùng lệnh area lấy diện tích hắn không được. Nếu trong tập chọn có chứa hatch này thì lisp ko cho kết quả.
  • 3

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#10 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2010 - 03:58 PM

Lệnh AREA lựa chọn add không chịu chọn nhiều đối tượng hatch 1 lúc theo kiểu quét chuột mà bắt phải click vào từng đối tượng hatch.
Đúng là bạn í dùng từ ko ổn nhưng mình hiểu ở đây bạn í muốn lấy giá trị diện tích cuả hatch.
Nề bạn:

(Defun c:doh ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

(Princ "\nHay chon vung :")
(setq xx (ssget '((0 . "hatch"))))

(if (Null xx)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL xx) (PROGN

(setq L 0)
(setq dientich 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname xx L))
(command "area" "object" dt)
(setq dienticht (getvar "area"))
(setq dientich (+ dientich dienticht))
(setq L (1+ L))
)
(alert (strcat "\nTong dien tich hatch da chon: " (rtos dientich 2 4)))
)
)
(Princ)
)

Lưu ý có 1 số đối tượng hatch ko hiểu bị gì mà dùng lệnh area lấy diện tích hắn không được. Nếu trong tập chọn có chứa hatch này thì lisp ko cho kết quả.



bác Duy ơi, em làm theo mà vẫn ko được.Sau khi dùng lệnh doh nó nhận lệnh nhưng ko biết thực hiện thế nào?làm phiền bác tý nữa vậy.Giúp em nhé !
  • 0

#11 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 October 2010 - 04:47 PM

Lệnh AREA lựa chọn add không chịu chọn nhiều đối tượng hatch 1 lúc theo kiểu quét chuột mà bắt phải click vào từng đối tượng hatch.
Đúng là bạn í dùng từ ko ổn nhưng mình hiểu ở đây bạn í muốn lấy giá trị diện tích cuả hatch.
Nề bạn:

(Defun c:doh ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

(Princ "\nHay chon vung :")
(setq xx (ssget '((0 . "hatch"))))

(if (Null xx)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL xx) (PROGN

(setq L 0)
(setq dientich 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname xx L))
(command "area" "object" dt)
(setq dienticht (getvar "area"))
(setq dientich (+ dientich dienticht))
(setq L (1+ L))
)
(alert (strcat "\nTong dien tich hatch da chon: " (rtos dientich 2 4)))
)
)
(Princ)
)

Lưu ý có 1 số đối tượng hatch ko hiểu bị gì mà dùng lệnh area lấy diện tích hắn không được. Nếu trong tập chọn có chứa hatch này thì lisp ko cho kết quả.

bác ơi ,em đã làm theo cách của bác rồi mà sao vẫn ko được.Sau khi đánh lệnh doh nó hiệ lên chọn vùng, em đã chọn các đối tượng hatch.Nhưng sau đó ko thấy j nữa cả,ko biết lisp có j thiếu ko(Pham quoc duy binh son - quang ngai
Hay chon vung :
Select objects: Specify opposite corner: 131 found

Select objects: no function definition: /=NIL
Command:)
? bác xem lại em với, em làm Quy hoạch mà ngồi cộng từng hatch thì quá là vất vả.Thanks bác nhiều
  • 0

#12 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 21 October 2010 - 08:57 AM

bác ơi ,em đã làm theo cách của bác rồi mà sao vẫn ko được.Sau khi đánh lệnh doh nó hiệ lên chọn vùng, em đã chọn các đối tượng hatch.Nhưng sau đó ko thấy j nữa cả,ko biết lisp có j thiếu ko(Pham quoc duy binh son - quang ngai
Hay chon vung :
Select objects: Specify opposite corner: 131 found

Select objects: no function definition: /=NIL
Command:)
? bác xem lại em với, em làm Quy hoạch mà ngồi cộng từng hatch thì quá là vất vả.Thanks bác nhiều

Bạn dùng chức năng recreate boundary của Hatch sau đó BO tất cả lại rồi dùng lệnh UNI cũng làm được đó bạn!Bạn thử xem!
  • 0